"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsCarPlateConstraint = exports.IsCarPlate = void 0;
const class_validator_1 = require("class-validator");
function IsCarPlate(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName,
            options: validationOptions,
            validator: IsCarPlateConstraint,
        });
    };
}
exports.IsCarPlate = IsCarPlate;
let IsCarPlateConstraint = class IsCarPlateConstraint {
    validate(value, validationArguments) {
        console.log(typeof value);
        // console.log(value.match(/[#?!@$%^&*+_\<\>\/\[\]\{\}]/) )
        if (typeof value === "string") {
            // value = value.replace(/-|\./g,'').trim()
            console.log(value);
            if (value.match(/^[A-Z|0-9]{6,}$/)) { // chỉ cho phép chữ cái viết hoa và số
                return true;
            }
            else {
                return false;
            }
        }
        else {
            return false;
        }
    }
    defaultMessage(validationArguments) {
        return "validation.INVALID_LICENSE_PLATE";
    }
};
IsCarPlateConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsCarPlate' })
], IsCarPlateConstraint);
exports.IsCarPlateConstraint = IsCarPlateConstraint;
//# sourceMappingURL=is-car-plate.validator.js.map