"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsEmailOrEmptyCustomConstraint = exports.IsEmailOrEmptyCustom = void 0;
const class_validator_1 = require("class-validator");
function IsEmailOrEmptyCustom(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName,
            options: validationOptions,
            // constraints: [],
            validator: IsEmailOrEmptyCustomConstraint,
        });
    };
}
exports.IsEmailOrEmptyCustom = IsEmailOrEmptyCustom;
let IsEmailOrEmptyCustomConstraint = class IsEmailOrEmptyCustomConstraint {
    validate(value, validationArguments) {
        // #?!@$%^&*+-._
        if (typeof value === "string" && value.match(/^(([^<>()[\]\.,;:\s@\"]+(\.[^<>()[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i) !== null) {
            return true;
        }
        else if (value == undefined || value === "" || value == null) {
            return true;
        }
        else {
            return false;
        }
    }
    defaultMessage(validationArguments) {
        // console.log(validationArguments)
        return "validation.INVALID_EMAIL";
    }
};
IsEmailOrEmptyCustomConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsEmailOrEmptyCustom' })
], IsEmailOrEmptyCustomConstraint);
exports.IsEmailOrEmptyCustomConstraint = IsEmailOrEmptyCustomConstraint;
//# sourceMappingURL=is-email-or-empty-custom.validator.js.map