"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsPasswordConstraint = exports.IsPassword = void 0;
const class_validator_1 = require("class-validator");
function IsPassword(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName,
            options: validationOptions,
            // constraints: [],
            validator: IsPasswordConstraint,
        });
    };
}
exports.IsPassword = IsPassword;
let IsPasswordConstraint = class IsPasswordConstraint {
    validate(value, validationArguments) {
        // #?!@$%^&*+-._
        if (typeof value === "string" && value.match(/^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9]).{6,}$/) && value.match(/[\<\>\/\[\]\{\}]/) === null) {
            return true;
        }
        else {
            return false;
        }
    }
    defaultMessage(validationArguments) {
        // console.log(validationArguments)
        return "validation.INVALID_PASSWORD";
    }
};
IsPasswordConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsPassword' })
], IsPasswordConstraint);
exports.IsPasswordConstraint = IsPasswordConstraint;
//# sourceMappingURL=is-password.validator.js.map