/**
* Author: Đào Quốc Huy / huydaoquoc88@gmail.com
* Description: Invalid empty (null, undefined, "")
*/
import { ValidationArguments, ValidationOptions, ValidatorConstraintInterface } from 'class-validator';
/**
 * @Example `@IsNotEmpty_I18n()`.
 * @Return false if not set, or empty "" or just space ""
 * @Require i18n translate: "validation.CAN_NOT_BE_EMPTY"
 */
export declare function IsNotEmpty_I18n(validationOptions?: ValidationOptions): (object: any, propertyName: string) => void;
export declare class IsNotEmpty_I18nConstraint implements ValidatorConstraintInterface {
    validate(value: any, validationArguments?: ValidationArguments): boolean;
    defaultMessage(validationArguments?: ValidationArguments): string;
}
//# sourceMappingURL=is-not-empty.validator.d.ts.map