/**
* Author: Đào Quốc Huy / huydaoquoc88@gmail.com
* Description: Accept string, empty
*/
import { ValidationArguments, ValidationOptions, ValidatorConstraintInterface } from 'class-validator';
/**
 * @Example `@IsString_I18n()`.
 * @Return true if not set
 * @Require i18n translate: "validation.INVALID_STRING"
 */
export declare function IsString_I18n(validationOptions?: ValidationOptions): (object: any, propertyName: string) => void;
export declare class IsString_I18nConstraint implements ValidatorConstraintInterface {
    validate(value: any, validationArguments?: ValidationArguments): boolean;
    defaultMessage(validationArguments?: ValidationArguments): string;
}
//# sourceMappingURL=is-string.validator.d.ts.map