"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsNotEmptyCustomConstraint = exports.IsNotEmptyCustom = void 0;
const class_validator_1 = require("class-validator");
function IsNotEmptyCustom(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName,
            options: validationOptions,
            validator: IsNotEmptyCustomConstraint,
        });
    };
}
exports.IsNotEmptyCustom = IsNotEmptyCustom;
let IsNotEmptyCustomConstraint = class IsNotEmptyCustomConstraint {
    validate(value, validationArguments) {
        if (typeof value == "undefined" || value == undefined || value == null || value === "") {
            return false;
        }
        else {
            return true;
        }
    }
    defaultMessage(validationArguments) {
        return "validation.CAN_NOT_BE_EMPTY";
        // return "{"+validationArguments.property + "} " + "response.message.emptyInputIsNotAccepted
    }
};
IsNotEmptyCustomConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsNotEmptyCustom' })
], IsNotEmptyCustomConstraint);
exports.IsNotEmptyCustomConstraint = IsNotEmptyCustomConstraint;
//# sourceMappingURL=is-not-empty.validator.js.map