"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsArrayOfNumberConstraint = exports.IsNumbericArray = void 0;
const class_validator_1 = require("class-validator");
function IsNumbericArray(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName,
            options: validationOptions,
            validator: IsArrayOfNumberConstraint,
        });
    };
}
exports.IsNumbericArray = IsNumbericArray;
let IsArrayOfNumberConstraint = class IsArrayOfNumberConstraint {
    validate(value, validationArguments) {
        let ret = true;
        if (Array.isArray(value) === false) {
            return false;
        }
        else {
            value.forEach(element => {
                if (typeof element !== "number") {
                    ret = false;
                }
            });
        }
        return ret;
    }
    defaultMessage(validationArguments) {
        return "validation.IS_NUMBERIC_ARRAY";
        // return "{"+validationArguments.property + "} " + "response.message.stringValidationFailed
    }
};
IsArrayOfNumberConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsNumbericArray' })
], IsArrayOfNumberConstraint);
exports.IsArrayOfNumberConstraint = IsArrayOfNumberConstraint;
//# sourceMappingURL=is-numberic-array.validator.js.map