"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsPhoneVietNamConstraint = exports.IsPhoneVietNam = void 0;
const class_validator_1 = require("class-validator");
function IsPhoneVietNam(validationOptions) {
    return (object, propertyName) => {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName,
            options: validationOptions,
            validator: IsPhoneVietNamConstraint,
        });
    };
}
exports.IsPhoneVietNam = IsPhoneVietNam;
let IsPhoneVietNamConstraint = class IsPhoneVietNamConstraint {
    validate(value, validationArguments) {
        console.log(typeof value);
        console.log(value);
        if (typeof value === "string" && value.match(/^(0?)(3[2-9]|5[6|8|9]|7[0|6-9]|8[0-6|8|9]|9[0-4|6-9])[0-9]{7}$/)) {
            return true;
        }
        else {
            return false;
        }
    }
    defaultMessage(validationArguments) {
        return "validation.INVALID_PHONE";
        // return "{"+validationArguments.property + "} " + "response.message.phoneFormatIsWrong
    }
};
IsPhoneVietNamConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'IsPhoneVietNam' })
], IsPhoneVietNamConstraint);
exports.IsPhoneVietNamConstraint = IsPhoneVietNamConstraint;
//# sourceMappingURL=is-phone-vietnam.validator.js.map